# dask.array.utils.meta_from_array

dask.array.utils.meta_from_array(x, ndim=None, dtype=None)

  Normalize an array to appropriate meta object

  Parameters:
    x: array-like, callable

      Either an object that looks sufficiently like a Numpy array, or a callable that accepts shape and dtype keywords

    ndim: int

      Number of dimensions of the array

    dtype: Numpy dtype

      A valid input for `np.dtype`

  Returns:
    array-like with zero elements of the correct dtype